## rust-axum-server 0.7.2

=== debian/changelog ===
rust-axum-server (0.7.2-2) unstable; urgency=medium

  * drop patch 2001_fs-err, required version now in Debian
  * update d/tests/control Depends for tower 0.5

 -- Blair Noctis <ncts@debian.org>  Wed, 26 Mar 2025 13:16:31 +0000

rust-axum-server (0.7.2-1) unstable; urgency=medium

  * new upstream release
  * add patch 2001_fs-err to use older version in Debian
  * update patch 2001_tower-http to use current 0.5 in Debian
  * fix autopkgtest name for tls-rustls

 -- Blair Noctis <ncts@debian.org>  Sat, 22 Mar 2025 19:26:55 +0000

rust-axum-server (0.7.1-1) unstable; urgency=medium

  * Initial release, closes: #1099538

 -- Blair Noctis <ncts@debian.org>  Wed, 12 Mar 2025 11:24:41 +0000
