## rust-axum-server 0.7.3

=== debian/changelog ===
rust-axum-server (0.7.3-3) unstable; urgency=medium

  * fix autopkgtest-depend on package for crate serial_test
    (not serial)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Dec 2025 15:52:02 +0100

rust-axum-server (0.7.3-2) unstable; urgency=medium

  * provide minor-versioned virtual binary package

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Dec 2025 11:32:04 +0100

rust-axum-server (0.7.3-1) unstable; urgency=medium

  [ upostream ]
  * new release

  [  Jonas Smedegaard ]
  * update DEP-3 patch headers
  * bump project versions in virtual packages and autopkgtests
  * unfuzz patch
  * (build-)depend on package for crate openssl-sys

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 Nov 2025 22:27:43 +0100

rust-axum-server (0.7.2-3) experimental; urgency=medium

  * fix provided virtual packages;
    tighten autopkgtests
    to depend explicitly on virtually provided feature packages,
    to catch similar issues in future;
    closes: bug#1110394
  * update git-buildpackage config: fix usage comment
  * tighten {build-, autopkgtest-}dependencies
  * extend patches to accept multiple branches;
    relax build- and autopkgtest-dependencies
    for crates serial_test tower-http
  * rename patch 2001_tower-http -> 1001_tower-http

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 04 Aug 2025 15:12:59 +0200
