=== debian/control ===
Source: rust-axum-server
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-arc-swap-1+default-dev,
 librust-axum-0.7+default-dev,
 librust-bytes-1+default-dev,
 librust-fs-err-3+default-dev,
 librust-fs-err-3+tokio-dev,
 librust-futures-util-0.3-dev,
 librust-http-1+default-dev,
 librust-http-body-1+default-dev,
 librust-http-body-util-0.1+default-dev,
 librust-hyper-1+default-dev,
 librust-hyper-1+full-dev,
 librust-hyper-1+http1-dev,
 librust-hyper-1+http2-dev,
 librust-hyper-1+server-dev,
 librust-hyper-util-0.1+default-dev,
 librust-hyper-util-0.1+server-auto-dev,
 librust-hyper-util-0.1+service-dev,
 librust-hyper-util-0.1+tokio-dev,
 librust-openssl-0.10+default-dev,
 librust-openssl-sys-0.9+default-dev,
 librust-pin-project-lite-0.2+default-dev,
 librust-rustls-0.23-dev,
 librust-rustls-pemfile-2+default-dev,
 librust-rustls-pki-types-1+default-dev,
 librust-serial-test-dev (<< 4),
 librust-tokio-1+default-dev,
 librust-tokio-1+full-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+net-dev,
 librust-tokio-1+sync-dev,
 librust-tokio-openssl-0.6+default-dev,
 librust-tokio-rustls-0.26-dev,
 librust-tower-0.5+default-dev,
 librust-tower-0.5+util-dev,
 librust-tower-http-dev (<< 0.7),
 librust-tower-service-0.3+default-dev,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Uploaders:
 Blair Noctis <ncts@debian.org>,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/debian/rust-axum-server.git
Vcs-Browser: https://salsa.debian.org/debian/rust-axum-server
Homepage: https://github.com/programatik29/axum-server
Rules-Requires-Root: no

Package: librust-axum-server-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-arc-swap-1+default-dev,
 librust-bytes-1+default-dev,
 librust-fs-err-3+default-dev,
 librust-fs-err-3+tokio-dev,
 librust-http-1+default-dev,
 librust-http-body-1+default-dev,
 librust-hyper-1+default-dev,
 librust-hyper-1+http1-dev,
 librust-hyper-1+http2-dev,
 librust-hyper-1+server-dev,
 librust-hyper-util-0.1+default-dev,
 librust-hyper-util-0.1+server-auto-dev,
 librust-hyper-util-0.1+service-dev,
 librust-hyper-util-0.1+tokio-dev,
 librust-openssl-0.10+default-dev,
 librust-openssl-sys-0.9+default-dev,
 librust-pin-project-lite-0.2+default-dev,
 librust-rustls-0.23-dev,
 librust-rustls-pemfile-2+default-dev,
 librust-rustls-pki-types-1+default-dev,
 librust-tokio-1+default-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+net-dev,
 librust-tokio-1+sync-dev,
 librust-tokio-openssl-0.6+default-dev,
 librust-tokio-rustls-0.26-dev,
 librust-tower-0.5+util-dev,
 librust-tower-service-0.3+default-dev,
 ${misc:Depends},
Provides:
 librust-axum-server-0.7+default-dev (= ${binary:Version}),
 librust-axum-server-0.7+tls-openssl-dev (= ${binary:Version}),
 librust-axum-server-0.7+tls-rustls-dev (= ${binary:Version}),
 librust-axum-server-0.7+tls-rustls-no-provider-dev (= ${binary:Version}),
 librust-axum-server-0.7-dev (= ${binary:Version}),
 librust-axum-server-0.7.3-dev (= ${binary:Version}),
Description: hyper server implementation used with axum - Rust source code
 axum is a web application framework
 that focuses on ergonomics and modularity.
 .
 axum-server is a server implementation
 for the axum framework
 using the hyper HTTP library.
