## rust-axum-server 0.8.0

=== debian/changelog ===
rust-axum-server (0.8.0-4) unstable; urgency=medium

  * tighten build- and autopkgtest-dependencies dor crate test-serial

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 31 Dec 2025 18:46:32 +0100

rust-axum-server (0.8.0-3) unstable; urgency=medium

  * fix bump project versions in virtual packages

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 31 Dec 2025 08:35:41 +0100

rust-axum-server (0.8.0-2) unstable; urgency=medium

  * drop patches 2001_hyper-util 2001_serial_test,
    obsoleted by Debian packaging changes

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 29 Dec 2025 23:43:12 +0100

rust-axum-server (0.8.0-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [  Jonas Smedegaard ]
  * drop watch file: use upstream metadata instead
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches
  * add debian/patches/README to describe patch naming micro-policy
  * (build-)depend on package for crate either;
    stop (build-)depend on package for crate rustls-pemfile;
    tighten build- and autopkgtest-dependencies for crate tower-http
  * stop set superfluous fields Rules-Requires-Root Priority
  * declare compliance with Debian Policy 4.7.3
  * stop tolerate test failures when targeted experimental
  * add patch 1001 to accept newer minor version of crate axum;
    relax build- and autopkgtest-dependency for crate axum

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 23 Dec 2025 16:12:11 +0100
