=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: rust-axum-server
 Section: rust
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-rust,
  librust-arc-swap-1+default-dev,
- librust-axum-0.7+default-dev,
+ librust-axum-dev (<< 0.9),
  librust-bytes-1+default-dev,
+ librust-either-1+default-dev,
  librust-fs-err-3+default-dev,
  librust-fs-err-3+tokio-dev,
  librust-futures-util-0.3-dev,
@@ -26,9 +26,8 @@
  librust-openssl-sys-0.9+default-dev,
  librust-pin-project-lite-0.2+default-dev,
  librust-rustls-0.23-dev,
- librust-rustls-pemfile-2+default-dev,
  librust-rustls-pki-types-1+default-dev,
- librust-serial-test-dev (<< 4),
+ librust-serial-test-3+default-dev,
  librust-tokio-1+default-dev,
  librust-tokio-1+full-dev,
  librust-tokio-1+macros-dev,
@@ -38,16 +37,16 @@
  librust-tokio-rustls-0.26-dev,
  librust-tower-0.5+default-dev,
  librust-tower-0.5+util-dev,
- librust-tower-http-dev (<< 0.7),
+ librust-tower-http-0.6+add-extension-dev,
+ librust-tower-http-0.6+default-dev,
  librust-tower-service-0.3+default-dev,
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Uploaders:
  Blair Noctis <ncts@debian.org>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/debian/rust-axum-server.git
 Vcs-Browser: https://salsa.debian.org/debian/rust-axum-server
 Homepage: https://github.com/programatik29/axum-server
-Rules-Requires-Root: no
 
 Package: librust-axum-server-dev
 Architecture: all
@@ -55,6 +54,7 @@
 Depends:
  librust-arc-swap-1+default-dev,
  librust-bytes-1+default-dev,
+ librust-either-1+default-dev,
  librust-fs-err-3+default-dev,
  librust-fs-err-3+tokio-dev,
  librust-http-1+default-dev,
@@ -71,7 +71,6 @@
  librust-openssl-sys-0.9+default-dev,
  librust-pin-project-lite-0.2+default-dev,
  librust-rustls-0.23-dev,
- librust-rustls-pemfile-2+default-dev,
  librust-rustls-pki-types-1+default-dev,
  librust-tokio-1+default-dev,
  librust-tokio-1+macros-dev,
@@ -83,12 +82,12 @@
  librust-tower-service-0.3+default-dev,
  ${misc:Depends},
 Provides:
- librust-axum-server-0.7+default-dev (= ${binary:Version}),
- librust-axum-server-0.7+tls-openssl-dev (= ${binary:Version}),
- librust-axum-server-0.7+tls-rustls-dev (= ${binary:Version}),
- librust-axum-server-0.7+tls-rustls-no-provider-dev (= ${binary:Version}),
- librust-axum-server-0.7-dev (= ${binary:Version}),
- librust-axum-server-0.7.3-dev (= ${binary:Version}),
+ librust-axum-server-0.8+default-dev (= ${binary:Version}),
+ librust-axum-server-0.8+tls-openssl-dev (= ${binary:Version}),
+ librust-axum-server-0.8+tls-rustls-dev (= ${binary:Version}),
+ librust-axum-server-0.8+tls-rustls-no-provider-dev (= ${binary:Version}),
+ librust-axum-server-0.8-dev (= ${binary:Version}),
+ librust-axum-server-0.8.0-dev (= ${binary:Version}),
 Description: hyper server implementation used with axum - Rust source code
  axum is a web application framework
  that focuses on ergonomics and modularity.
