=== debian/tests/control ===
# check single-feature tests only on amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test axum-server 0.8.0
 --all-targets --all-features
Features:
 test-name=rust-axum-server:@,
Depends:
 dh-rust,
 librust-axum-dev (<< 0.9),
 librust-axum-server-0.8-dev,
 librust-hyper-1+full-dev,
 librust-serial-test-3+default-dev,
 librust-tokio-1+full-dev,
 librust-tower-0.5+util-dev,
 librust-tower-http-0.6+add-extension-dev,
 librust-tower-http-0.6+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test axum-server 0.8.0
 --all-targets --no-default-features
Features:
 test-name=rust-axum-server:,
Depends:
 dh-rust,
 librust-axum-dev (<< 0.9),
 librust-axum-server-0.8-dev,
 librust-hyper-1+full-dev,
 librust-serial-test-3+default-dev,
 librust-tokio-1+full-dev,
 librust-tower-0.5+util-dev,
 librust-tower-http-0.6+add-extension-dev,
 librust-tower-http-0.6+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test axum-server 0.8.0
 --all-targets
Features:
 test-name=rust-axum-server:default,
Depends:
 dh-rust,
 librust-axum-dev (<< 0.9),
 librust-axum-server-0.8+default-dev,
 librust-hyper-1+full-dev,
 librust-serial-test-3+default-dev,
 librust-tokio-1+full-dev,
 librust-tower-0.5+util-dev,
 librust-tower-http-0.6+add-extension-dev,
 librust-tower-http-0.6+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test axum-server 0.8.0
 --all-targets --no-default-features --features tls-rustls
Features:
 test-name=rust-axum-server:tls-rustls,
Depends:
 dh-rust,
 librust-axum-dev (<< 0.9),
 librust-axum-server-0.8+tls-rustls-dev,
 librust-hyper-1+full-dev,
 librust-serial-test-3+default-dev,
 librust-tokio-1+full-dev,
 librust-tower-0.5+util-dev,
 librust-tower-http-0.6+add-extension-dev,
 librust-tower-http-0.6+default-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

# thread 'tls_rustls::tests::test_reload' panicked at /home/i/.cargo/registry/src/index.crates.io-1949cf8c6b5b557f/rustls-0.23.23/src/crypto/mod.rs:249:14:
# no process-level CryptoProvider available -- call CryptoProvider::install_default() before this point
#Test-Command: /usr/share/dh-rust/bin/cargo-auto-test axum-server 0.8.0
# --all-targets --no-default-features --features tls-rustls-no-provider
#Features:
# test-name=rust-axum-server:tls-rustls-no-provider

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test axum-server 0.8.0
 --all-targets --no-default-features --features tls-openssl
Features:
 test-name=rust-axum-server:tls-openssl,
Depends:
 dh-rust,
 librust-axum-dev (<< 0.9),
 librust-axum-server-0.8+tls-openssl-dev,
 librust-hyper-1+full-dev,
 librust-serial-test-3+default-dev,
 librust-tokio-1+full-dev,
 librust-tower-0.5+util-dev,
 librust-tower-http-0.6+add-extension-dev,
 librust-tower-http-0.6+default-dev,
Restrictions:
 allow-stderr,
Architecture: amd64
